Subject: Re: bug#55203: 29.0.50; MSW menu bar help text doesn't show when blink-cursor-mode is off

From: Po Lu <[email-masked]>
Date: Sun, 01 May 2022 14:32:14 +0800

Eli Zaretskii <[email-masked]> writes:

> This is a well-known problem.  It is caused by the implementation of
> Emacs menus on MS-Windows: we start a separate message loop for
> handling the menu events, and this suspends the main event loop.  When
> blink-cursor-mode is ON, the timer causes the main event loop to turn
> a notch, and then Emacs produces the help-echo for the menu item; but
> without cursor blinking and no other sources of async input events,
> that doesn't happen.

Thanks.  Could you point to where that "separate message loop" is
started?  I couldn't find anything in w32menu.c.